save_plots = FALSE

if( save_plots ){
    postscript('../../WriteUp/Graphics/Chapter4/sect_1_prob_1_plot.eps', onefile=FALSE, horizontal=FALSE)
}

production = seq(0, 6, length.out=1000)
revenue = 0.2*tanh(production)

cost = 0.1*production^(1/2)

y_min = min(c(revenue, cost))
y_max = max(c(revenue, cost))


par(mfrow=c(2, 1))
plot(production, revenue, col='green', type='l', xlim=c(min(production), max(production)), ylim=c(y_min, y_max), xlab='Production', ylab='Dollars')
lines(production, cost, col='red', type='l')
grid()

profit = revenue - cost
y_min = min(profit)
y_max = max(profit)

plot(production, profit, col='blue', type='l', xlim=c(min(production), max(production)), ylim=c(y_min, y_max), xlab='Production', ylab='Profit')
abline(h=0, col='black')
grid()

if( save_plots ){
    dev.off()
}
